public class a6_2 {
  public class Base {
    public int x;
    public int y;

    public Base(int x, int y) {
      this.x = x;
      this.y = y;
    }

    public int GetX() {
      return this.x;
    }

    public int GetY() {
      return this.y;
    }

    public abstract void Move();
  };

  public class C1 extends Base {
    public C1(int x, int y) {
      super(x, y);
    }

    public void Move() {
      return;
    }
  };

  public class C2 extends Base {
    public C2(int x, int y) {
      super(x, y);
    }

    public void Move() {
      this.x++;
    }
  };

  public class C3 extends Base {
    public C3(int x, int y) {
      super(x, y);
    }

    public void Move() {
      this.x++;
      this.y++;
      return;
    }
  };

  public class C4 extends Base {
    public int z;

    public C4(int x, int y, int z) {
      super(x, y);
      this.z = z;
    }

    public int GetZ() {
      return this.z;
    }

    public void Move() {
      this.x++;
      this.y++;
      this.z++;
    }
  };

  static C4 c4 = new C4(2, 5, 7);
  static C3 c3 = new C3(1, 2);
  static C2 c2 = new C2(5, 5);
  static C1 c1 = new C1(8, 3);

  static int v1;
  static int v2;
  static int v3;

  public static void dostuff() {
    c4.Move();
    v1 = c4.GetZ();
    c2.Move();
    v2 = c2.GetX();
    c3.Move();
    v3 = c3.GetY();
    c1.Move();
    v2 += c1.GetX();
  }

  /* This is the stub */
  public static void main(String args[]) {
    dostuff();
  }
};
